Subject: Re: [Sip] Open Issue #204: Password in To/From URL

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 07 Jan 2002 17:22:00 -0500

There was only one comment in favor of the modified proposal to allow, 
which was from Henning, who supported it. Therefore, I consider this 
issue closed. Password can appear in To or From, really just as an 
extension of the user part, as Henning describes.

-Jonathan R.

Henning Schulzrinne wrote:

>>Another point worth noting, thinking about it some more, is that in
>>
> the
> 
>>most basic case, the r-uri will be rewritten with the registered
>>
> contact
> 
>>of the called party, so the called party won't ever see the password
>>(I'm assuming that the password is NOT part of the address-of-record).
>>Thus, it does need to be in the To field to get to the called party,
>>
> as
> 
>>it has e2e significance supposedly....
>>
>>OK, so now I am going to back track, and rather propose to allow
>>
>>the password in the To field, documenting its real uses and
>>
> limitations
> 
>>of course.
>>
>>Comments?
>>
> 
> The fewer special cases, the better, so allowing it (with caveats) in
> the three places seems like the right approach. It really is just a user
> name convention (something that some people emulate in email, but which
> requires special software help, as in joe+ or joe+lists.)
> 
> 

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip